using System;
namespace ConsoleApp1
{
    class Program
    { 

        static void Main()
        {
            string s = Console.ReadLine();
            string c1 = s.Substring(0, 1);
            string c2 = s.Substring(1);
            string[] split = Console.ReadLine().Split();
            int a1 = int.Parse(split[0]);
            int a2 = int.Parse(split[1]);
            if (a1 > a2 + 1 || a2 > a1 + 1) Console.WriteLine("nemoguce");
            else if (a1 > a2)
            {
                Console.Write(c1);
                for (int i = 0; i < a2; i++)
                {
                    Console.Write(c2);
                    Console.Write(c1);
                }
            }
            else if (a1 < a2)
            {
                Console.Write(c2);
                for (int i = 0; i < a1; i++)
                {
                    Console.Write(c1);
                    Console.Write(c2);
                }
            }
            else
            {
                for (int i = 0; i < a1; i++)
                {
                    Console.Write(c1);
                    Console.Write(c2);
                }
            }
            }
        }
    }